## mc 3.2.1-1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
srcdir = .

rootdir = $(srcdir)
include ./Make.common

alldirs=vfs lib doc slang src tk xv icons nt
subdirs=$(alldirs)

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

DISTMAIN =	configure configure.in NEWS README INSTALL INSTALL.FAST \
		Makefile.in FAQ COPYING create_vcs install-sh \
		config.h.in aclocal.m4 acconfig.h VERSION mcfn_install.in \
		Make.common.in README.NT mc.spec

all: 
	@for dir in ${subdirs}; do \
		cd $$dir; \
		${MAKE} all || exit 1; \
		cd .. ;\
	done

static:
	$(MAKE) _LDFLAGS="-static $(_LDFLAGS)"

configure: configure.in aclocal.m4
	cd $(srcdir); autoconf --localdir=$(srcdir) $(srcdir)/configure.in > configure
	chmod 755 configure

config.h.in: configure.in acconfig.h
	cd $(srcdir); autoheader

install: installdirs install.create_vcs
	@for I in $(alldirs); do cd $$I; $(MAKE) DESTDIR=$(DESTDIR) $@ || exit 1; cd ..; done
	$(INSTALL_DATA) $(srcdir)/FAQ $(DESTDIR)$(libdir)/FAQ
	$(INSTALL_PROGRAM) mcfn_install $(DESTDIR)$(suppbindir)/mcfn_install
	chmod +x $(DESTDIR)$(suppbindir)/mcfn_install
	@echo "Please verify that the configuration values are correctly"
	@echo "set in the mc.ext file in $(libdir)"

install.create_vcs:
	$(INSTALL_PROGRAM) $(srcdir)/create_vcs $(DESTDIR)$(suppbindir)/create_vcs
	if test x$(DESTDIR) = x; then $(SHELL) $(srcdir)/create_vcs; fi

installdirs:
	$(mcsrcdir)/xmkdir $(DESTDIR)$(bindir) $(DESTDIR)$(libdir)
	$(mcsrcdir)/xmkdir $(DESTDIR)$(mandir) $(DESTDIR)$(man8dir)
	$(mcsrcdir)/xmkdir $(DESTDIR)$(icondir) $(DESTDIR)$(suppbindir)
	$(mcsrcdir)/xmkdir $(DESTDIR)$(tidir) $(DESTDIR)$(extfsdir)

mcfninstall:
	-/bin/sh ./mcfn_install

uninstall:
	@for I in $(alldirs); do cd $$I; $(MAKE) $@ || exit 1; cd ..; done
	@echo Midnight Commander uninstalled

cross TAGS clean depend dep:
	@for I in $(alldirs); do cd $$I; $(MAKE) $@ || exit 1; cd ..; done

Makefile: 
	$(SHELL) config.status

config.status: 
	if test -x config.status; then config.status --recheck; \
	else $(SHELL) configure; fi

realclean: clean 
	rm -f *~
	rm -f config.cache

# distclean goal is for making a clean source tree, but if you have run 
# configure from a different directory, then doesn't destroy all your
# hardly compiled and linked stuff. That's why there is always $(srcdir)/
# In that case most of those commands do nothing, except cleaning *~
# and cleaning source links.
distclean:
	rm -f $(srcdir)/*~ $(srcdir)/config.cache $(srcdir)/config.h
	rm -f $(srcdir)/config.log $(srcdir)/config.status 
	rm -f $(srcdir)/mcfn_install
	@for I in $(alldirs); do cd $$I; $(MAKE) $@ || exit 1; cd ..; done
	rm -f $(srcdir)/Makefile $(srcdir)/Make.common

distdirs:
	mkdir ../mc-$(VERSION); \
	mkdir ../mc-$(VERSION)/src; \
	mkdir ../mc-$(VERSION)/lib; \
	mkdir ../mc-$(VERSION)/doc; \
	mkdir ../mc-$(VERSION)/slang; \
	mkdir ../mc-$(VERSION)/vfs; \
	mkdir ../mc-$(VERSION)/vfs/extfs; \
	mkdir ../mc-$(VERSION)/icons; \
	mkdir ../mc-$(VERSION)/xv; \
	mkdir ../mc-$(VERSION)/xv/support; \
	mkdir ../mc-$(VERSION)/xv/support/xview_private; \
	mkdir ../mc-$(VERSION)/tk; \
	mkdir ../mc-$(VERSION)/nt;
	
distcopy:
	cp $(DISTMAIN) ../mc-$(VERSION);
	for I in $(alldirs); do \
	    cd $$I ; \
	    $(MAKE) distcopy || exit 1; \
            cd ..; done
	(cd ..; tar cvf - mc-$(VERSION) | \
	gzip -f9 > mc-$(VERSION).tar.gz); \

dist: configure config.h.in distdirs distcopy

## mc 4.1.22

=== nt/Makefile ===
#
# This makefile is for making the distribution on Unix
# You won't be able to compile with this one the Midnight Commander
# on Windows NT, use Makefile.NT instead.
#
# Please read the file README.NT in the top directory of the distribution
#

include ../Make.common

FILES =	Makefile TODO dirent.c mc.ico bugs mc.rc config.h dirent.h \
	Makefile.NT chmod.nt.c drive.nt.c slint.nt.c cons.handler.nt.c \
	key.nt.c utilnt.c Makefile.NT Makefile.VC1 Makefile.VC4 \
	util.WinNT.c util.debug.c util.Win32.c util.Win32.h util.debug.h

FILESSYS = sys/param.h sys/time.h

all:

TAGS: $(FILES)
	etags $(FILES)

clean realclean distclean cross:

install:

uninstall:

depend dep:

fastdeploc:

distcopy:
	$(CP) $(FILES) ../../mc-$(VERSION)/nt
	-mkdir ../../mc-$(VERSION)/nt/sys
	$(CP) $(FILESSYS) ../../mc-$(VERSION)/nt/sys

## mc 4.1.27

=== nt/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 FILES =	Makefile TODO dirent.c mc.ico bugs mc.rc config.h dirent.h \
 	Makefile.NT chmod.nt.c drive.nt.c slint.nt.c cons.handler.nt.c \
 	key.nt.c utilnt.c Makefile.NT Makefile.VC1 Makefile.VC4 \
-	util.WinNT.c util.debug.c util.Win32.c util.Win32.h util.debug.h
+	util.WinNT.c util.debug.c util.Win32.c util.Win32.h util.debug.h \
+	drive.h
 
 FILESSYS = sys/param.h sys/time.h

## mc 4.6.2-pre1-1maemo7

=== debian/changelog ===
mc (1:4.6.2-pre1-1maemo7) fremantle; urgency=low

  * Package optified
  * New Maintainer

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 24 Apr 2010 23:30:54 +0400

mc (1:4.6.2-pre1-1maemo5) diablo; urgency=low

  * Before invoking maemo-select-menu-location check that it actually exists.
    In fremantle we don't have such thing.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 10 Oct 2009 12:45:10 +0400

mc (1:4.6.2-pre1-1maemo4) diablo; urgency=low

  * Removed Mime-Type from .deskop file
  * First attempt at fremantle build

 -- Andrew Zabolotny <zap@homelink.ru>  Thu,  1 Oct 2009 15:08:08 +0400

mc (1:4.6.2-pre1-1maemo3) diablo; urgency=low

  * Adapted from mc 4.6.1 and applied the color-file-by-type patches from
    X-Stranger <xstranger@jabber.org.by>, with heavy modifications by me
  * Applied another my patch which makes VFS a bit faster by removing
    a search in a chained list on every VFS operation.

 -- Andrew Zabolotny <zap@homelink.ru>  Tue, 22 Jul 2008 22:52:15 +0400

mc (1:4.6.2-pre1-1maemo2) diablo; urgency=low

  * Added dependency on terminfo-base. Without terminfo data mc
    is not very useful via ssh.
  * Added Suggests: bash. The package is not yet in repository,
    but will be. mc does not work with other shells as well as with bash.

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 19 Jul 2008 11:56:01 +0400

mc (1:4.6.2-pre1-1maemo1) diablo; urgency=low

  * Replaced the whole source code and all patches with sources
    from Fedora 9
  * Fixed one of Fedora patches to use nl_langinfo(CODESET) instead
    of parsing $LANG which often results in incorrect results.
  * Fixed a nasty bug in SLang which would cause it to not switch 
    to UTF8 mode if $LANG does not contain the ".UTF-8" suffix.

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  6 Jul 2008 18:36:53 +0400

mc (1:4.6.1-8ubuntu1) hardy; urgency=low

  * Merge from Debian unstable (LP: #175641). Remaining Ubuntu changes:
    - debian/patches/61_bash3.2_compat.patch
    - debian/patches/62_nl.po.patch:
      Fixed dutch shortcut for "&Using shell patterns" (LP: #5462)
  * debian/control: Standards-Version 3.7.3
  * debian/rules: "export DH_COMPAT=4" => debian/compat

 -- dAniel hAhler <ubuntu@thequod.de>  Tue, 11 Dec 2007 19:07:24 +0100

mc (1:4.6.1-8) unstable; urgency=low

  * Orphaning package: Stefano has been nearly MIA during the last 3 years.
  * Updated the watch file. Closes: #449618
  * Note to future DDs: do not forget to use the CVS repository available
    on Alioth: http://alioth.debian.org/projects/pkg-mc/

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 10 Dec 2007 19:50:47 +0100

mc (1:4.6.1-7ubuntu2) gutsy; urgency=low

  * Fixed dutch shortcut for "&Using shell patterns"
    62_nl.po.patch (LP: #5462)

 -- dAniel hAhler <ubuntu@thequod.de>  Wed, 22 Aug 2007 01:19:05 +0200

mc (1:4.6.1-7ubuntu1) feisty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/: Add 61_bash3.2_compat.patch

 -- Michael Bienia <geser@ubuntu.com>  Tue,  3 Apr 2007 14:56:33 +0200

mc (1:4.6.1-7) unstable; urgency=medium

  * Fixed Anton Pak's recode patch which can cause a segfault. 
    Closes: #382206, #382857, #400927
  * Mode display bug fixed. Patch added to 50_utf8-more.patch. Closes: #415097
  * Shift-Enter bug fixed. The line editing widget went crazy when seeing a litteral newline
    (Shift+enter or Ctrl-q+enter). Patch added to 50_utf8-more.patch
    Downloaded from https://svn.uhulinux.hu/packages/dev/mc/patches/

 -- Ludovic Drolez <ldrolez@debian.org>  Mon,  2 Apr 2007 8:44:35 +0200

mc (1:4.6.1-6ubuntu1) feisty; urgency=low

  * debian/patches/: Add 61_bash3.2_compat.patch from
    http://bugs.gentoo.org/show_bug.cgi?id=153925 (Closes: LP #81621,
    LP #85615).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 17 Feb 2007 21:26:54 -0500

mc (1:4.6.1-6) unstable; urgency=medium

  * debian/rules modified to fix a FTBFS during the 2nd build. Closes: #384302
  * added 05_symcrash.patch to fix a segfault (should be in mc's CVS). Closes: #383341
  * mpg123 title view fixed. Closes: #391644

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 24 Aug 2006 22:19:03 +0200

mc (1:4.6.1-5) unstable; urgency=low

  * Removed the Ctrl-t accelerator from 60_recode.patch. Closes: #380417
  * Modified 47_mc.menu.patch to use 'editor' instead of the hardcoded 'vi'
    so that mc makes use of /etc/alternatives. Closes: #373144
  * .tar view fixed in 01_mc.ext.in.mime.patch. Closes: #381353
  * still 68 bugs in the BTS...

 -- Ludovic Drolez <ldrolez@debian.org>  Mon, 31 Jul 2006 22:25:47 +0200

mc (1:4.6.1-4) unstable; urgency=medium

  * added 52_utf8-8bits-slang2.patch. Closes: #359016, #378786
  * added 55_mc-utf8-look-and-feel.patch : nicer look and feel
  * added 60_recode.patch : a patch to choose the charset from mc
  * 77 bugs should still remain after this upload... If you have some time please join 
    the Debian MC team.

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 12 Jul 2006 20:00:00 +0200

mc (1:4.6.1-3) unstable; urgency=low

  * Changelog removed. Closes: #317707
  * Lowered the alternative priority on 'view' and 'edit'. Closes: #367991
  * Patched the UTF8 patch to allow compiling mc without UTF8. Closes: #367187
  * html files can be opened with links, w3m or lynx. Closes: #332910
  * added 04_off64t.patch to fix problems with tar archives 
    larger than 2GB. Already added in mc's CVS. Closes: #324755
  * in 50_utf8-more.patch added a small patch for a problem in the status
    line with UTF-8 locales. Closes: #360427
  * 78 bugs should still remain after this upload...

 -- Ludovic Drolez <ldrolez@debian.org>  Thu, 22 Jun 2006 16:55:12 +0200

mc (1:4.6.1-2) unstable; urgency=medium

  * mc with UTF-8 support upload. Closes: #354691, #309398, #126077, #242194
  * added Ubuntu UTF-8 patches:  48_utf8-slang2.patch
    Many thanks to Leonard den Ottolander and Sebastian Droge
  * removed 27_menu-generation.patch because of UTF-8 problems


=== debian/control ===
Source: mc
Section: user/tools
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
Build-Depends: debhelper (>> 4.0.0), libglib2.0-dev, gettext, sharutils, python
Standards-Version: 3.7.3

Package: mc
Architecture: any
Depends: file, libglib2.0-0 (>= 2.0), libc6 (>= 2.3.0), ncurses-base
Suggests: perl, mime-support, zip, unzip, bzip2, links | w3m | lynx, arj, bash
Conflicts: mc-common, suidmanager (<< 0.52)
Replaces: mc-common, manpages-pl (<= 20030210)
Description: midnight commander - a powerful file manager
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH, 
 SMB servers) and files inside archives to be manipulated like real files.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gHBg8MFvbPCk4AAACQSURBVEjH
 7ZTBDYAwCEU/phvB/hPgTHhAa7ViNCHqQU7wQuC1BwhmyAsCgnEGUFwGvMzQVka0LnDekkNYSbLd
 gNQo84b+S+vyvozbyoYinntYdvy3++1es7sel+xu3bNTTk+dz7SLQssVs+CPdiZNkm6XOS09mFlV
 PypHqsos47gXFBEzOPeGtq3mIuKPczIBuf5TtA06zUsAAAAASUVORK5CYII=

## mc 4.6.2-pre1-1maemo8

=== debian/changelog ===
mc (1:4.6.2-pre1-1maemo8) fremantle; urgency=low

  * Package optified, the right way this time.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Apr 2010 00:24:50 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Colin's Build System
# Copyright © 2002 Colin Walters <walters@debian.org>
# $Id: rules,v 1.3 2005/10/16 15:03:43 ldrolez Exp $

####################################
# DO NOT MODIFY THIS FILE DIRECTLY #
####################################

### Introduction to Colin's Build System #############################
# This file is shared between all the packages which use Colin's Build
# System.  The idea is that this file contains sane defaults, and
# stuff specific to a package should go into the debian/rocks Makefile
# fragment.  There generic hooks where you can override and add
# functionality for a specific package.

# The big motivating factor for CBS was originally that more and more
# programs today are created using GNU configure scripts and GNU
# automake, and as such they are all very similar to configure and
# build.  CBS takes advantage of this by doing stuff like looking for
# an executable file named "configure"; if it exists, CBS tries
# treating it like a GNU configure script, and passes it sane
# arguments (like --prefix=/usr).  This will work for like 90% of the
# cases out there (including at least all my packages).  But if it
# doesn't work, no problem; you can customize or just completely
# override it the debian/rocks file.  For example, suppose that you
# need to pass "--enable-foo" to the configure script.  In that case,
# all you need to do is create a file named debian/rocks, which
# contains:

# DEB_CONFIGURE_EXTRA_FLAGS := --enable-foo

# And that's it!  Everything else happens automagically.  However,
# suppose that your "configure" script isn't made by autoconf, and
# instead expects the user to interactively configure the program
# (e.g. Perl).  In that case, you can just override the
# "deb-common-configure" rule, by putting something like the following
# in your debian/rocks:

# deb-common-configure:
#	./configure --blah --blargh < debian/answers

# All of the rules which are overridable are listed below, up to the
# line "-include debian/rocks".  There are also a large group of
# variables you may customize to affect a default rule, instead of of
# just overriding the rule completely.

# CBS also helps you keep up-to-date with the latest policy; when
# there is a new DEB_BUILD_OPTIONS entry, or they change semantics (as
# in the latest "debug" => "noopt" change), you shouldn't have to
# change anything in your packages (besides rebuilding them with the
# latest CBS version); CBS will just handle it.

### CBS and Debhelper ################################################
# Colin's Build System currently relies heavily on debhelper version
# 4, so you must have a Build-Depends: debhelper (>= 4.0.0).

### Single vs. Multi Binary packages #################################
# If you have a single binary package, CBS tries to use the upstream
# Makefile to install everything into debian/packagename, so it will
# all appear in the binary package.  To remove files, move them
# around, just override the deb-binary-hook-<packagename> target in
# the debian/rocks file, like:

# deb-binary-hook-mypackage:
#	mv debian/mypackage/usr/sbin/myprogram debian/mypackage/usr/bin/myprogram
#	rm debian/mypackage/usr/share/doc/mypackage/INSTALL

# If you have a multi-binary package, CBS (by default) uses the
# upstream Makefile to install everything in debian/tmp.  After this,
# the recommended method is to use dh_install to copy these files into
# the appropriate package.  To do this, just create
# "packagename.install" files; see the dh_install man page.

### Common Problems ##################################################

# Are you having problems with your package not building with the
# default deb-common-build rule?  This could be because of CFLAGS
# issues.  If it doesn't work, then your upstream's build system is
# broken.  You should be able to set CFLAGS to contain the
# optimization and debugging settings you want, and this shouldn't
# frob any -I or other internal arguments the upstream build system
# needs.  One way to fix this is to have upstream fix their Makefile
# to do something like:

# # This is the default set of optimization and debugging flags, which
# # can be overridden with a CFLAGS passed to the make invocation.
# CFLAGS = -g -O2
# # Now add specific stuff we need.
# override CFLAGS += -I. -I.. -ffrob-stuff

# On a related note, if you want to have a nice, easy-to-maintain,
# working build system, try to convince your upstream to switch to
# automake, autoconf, and libtool.

### The latest version of CBS ########################################
# The canonical source for Colin's Build System is:
# http://cvs.verbum.org/debian/rules

# Note that you can easily update your current version by running:
# debian/rules update

# Are you keeping your Debian packages in CVS?  In that case, it would
# probably be a good idea to disable keyword expansion for this file,
# so debian/rules update won't get confused.  Run:
# cvs admin -ko debian/rules

### Hooks which are overridable ######################################

## This target is called before almost anything else; in particular,
## it is called even before patches are applied.  This is a good place
## to do stuff like generate a debian/control from debian/control.xml,
## etc.
deb-pre-build:
	if [ -x $(CURDIR)/autogen.sh ]; then \
		$(CURDIR)/autogen.sh || echo -n "Failed to run autogen.sh script"; \
	fi

## This target is called after patches are applied, but before
## configure scripts or anything else are run.  This is a good place
## to do wacky stuff like:
## 'find . -name 'Makefile.in' -exec touch {} \;'.
deb-post-patches:
	 # Nothing to do by default.

## This target is called after patches are applied (i.e. after
## deb-post-patches).  It is, as its name implies, a good place to run
## GNU configure scripts or the like.
deb-common-configure:
	if [ -x ./configure ]; then $(DEB_CONFIGURE_INVOKE) --prefix=$(DEB_CONFIGURE_PREFIX) --mandir=$(DEB_CONFIGURE_MANDIR) --infodir=$(DEB_CONFIGURE_INFODIR) --sysconfdir=$(DEB_CONFIGURE_SYSCONFDIR) --localstatedir=$(DEB_CONFIGURE_LOCALSTATEDIR) --libexecdir=$(DEB_CONFIGURE_LIBEXECDIR) --disable-maintainer-mode $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_USER_CONFIGURE_FLAGS); fi

## This target is for configuring a specific package.  It is called
## once for each package.
deb-configure-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may prefix arbitrary commands to
## the general build, but not override the default.  It is called
## before deb-common-build.
deb-extra-pre-common-build::
	 # Nothing to do by default.

## This target is called after common configuration (but not
## necessarily after package-specific configuration).  Generally, this
## is a good place to invoke make and the like.  Note that if you do
## package-specific configuration, you should likely override this
## rule to do nothing, and then do package-specific building in
## deb-build-<package>.
deb-common-build:
	if [ -f Makefile ]; then \
	  $(DEB_MAKE_ENVVARS) $(MAKE) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(DEB_BUILD_MAKE_TARGET); \
	fi

## This is an "extra" rule, where you may add arbitrary commands to
## the general build, but not override the default.  It is called
## after deb-common-build.
deb-extra-common-build:: deb-common-build
	 # Nothing to do by default.

## This target is called once for each package, after package-specific
## configuration; it is for doing any building to a specific package.
deb-build-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may add arbitrary commands to
## the package-specific build, but not override the default.  It is
## called after deb-build-<package>.
deb-extra-build-%: deb-build-%
	 # Nothing to do by default.

## This target is called after pre-build, and before any configuration
## takes place.  It is designed to automatically update
## config.{sub,guess} files which are used by packages which use GNU

=== debian/watch ===
version=3
http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/ mc-([0-9\-\.pre]+).tar.gz

## mc 4.6.2-pre1-1maemo9

=== debian/changelog ===
mc (1:4.6.2-pre1-1maemo9) fremantle; urgency=low

  * Changed XB-Maemo-Display-Name

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sat, 25 Apr 2010 17:58:35 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mc
 Section: user/tools
 Priority: optional
-Maintainer: Andrew Zabolotny <zap@homelink.ru>
+Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
 Build-Depends: debhelper (>> 4.0.0), libglib2.0-dev, gettext, sharutils, python
 Standards-Version: 3.7.3
 
@@ -18,6 +18,7 @@
  viewer with support for binary files. Also included is Virtual
  Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH, 
  SMB servers) and files inside archives to be manipulated like real files.
+XB-Maemo-Display-Name: Midnight Commander
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gHBg8MFvbPCk4AAACQSURBVEjH

## mc 4.6.2-pre1-1maemo10

=== debian/changelog ===
mc (1:4.6.2-pre1-1maemo10) fremantle; urgency=low

  * Changed Section: and added Bugtracker: sections to control file (ty Andrew ~M.A.G)

 -- Andrew Zabolotny <zap@homelink.ru>  Mon,  5 July 2010 15:54:25 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mc
-Section: user/tools
+Section: user/utilities
 Priority: optional
 Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+XSBC-Bugtracker: mailto:mohammad7410@gmail.com
 Build-Depends: debhelper (>> 4.0.0), libglib2.0-dev, gettext, sharutils, python
 Standards-Version: 3.7.3

## mc 4.7.0

=== debian/changelog ===
mc (3:4.7.0-1ubuntu2) lucid; urgency=low

  * Disable 05_disable_internal_editor.patch to use
    by default MC's internal editor again, by popular demand (LP: #263442)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 08 Mar 2010 16:40:33 +0100

mc (3:4.7.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    + 11_unzip_needs_regex_update_lp397505.patch: Update regex for new
      output of "unzip -qq -v" and code using regex (LP: #397505).
      Thanks, Ben Okopnik!
    - mc-4.6.2-utf8.patch: No longer applicable; drop

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 05 Jan 2010 23:44:42 -0500

mc (3:4.7.0-1) unstable; urgency=low

  [ Patrick Winnertz ]
  * Fix misleading description of mc and mc-dbg:
        SMB protocol is not further possible with mc, due to security
        issues. (Closes: #541267)
  * Added patch to fix codejump if there is a number in the function name
  * Added patch to fix the broken german date in the mc panels
    (Closes: #541104)
  * Added patch to enable .gem archives. (Closes: #541673)
  * Added several bugfixes for crashes or malbehaviour which are fixed in
    upstreams git for 4.7.0-pre2.
  * Added note about user-defined colors in README.Debian (Closes: #392262)

  [ Denis Briand ]
  * New upstream version.
    + (Closes: #544996)
    + (Closes: #390301)
    + (Closes: #562371)
  * Switch to the new source package formats "3.0 (quilt)".
  * Hack Debian watch file to fix issue with the new upstream repository.
  * Bump Standards-Version to 3.8.3.
  * Add debian/README.source file.
  * mime-support is now a Recommended package.
  * Use mailcap entry to choose pdf viewer (Closes: #544054).
  * Use mailcap entry to choose images viewer (Closes: #544058).
  * Change doc-base Document field into lower-case name.
  * Change doc-base Section field into `File Management'.
  * Escape few minus sign again into manpages.
  * Add ico files support (Closes: #546737).
  * Suggest gv package to read ps files into X.
  * Use catdvi instead of dvi2tty (Closes: #543202).
  * Suggest catdvi to preview dvi files on text-only devices.
  * Add djvu files support and suggest djvulibre-bin package (Closes: #543651).
  * Allow Debian Maintainers Uploads.
  * Use sensible-editor to edit files (Closes: #549202).
  * Downgrade imagemagick dependency to Suggests (Closes: #550234).
  * Use DEB_BUILD_OPTIONS to chose the number of building processes
    (Closes: #549658).
  * Add Yury V. Zaytsev into Uploaders field.
  * Add python, python-boto and python-tz into Suggests field,
    for vfs Amazon Web Services S3.

  [ Yury V. Zaytsev ]
  * Remove FTP chattr patch (upstream ticket #1708).
  * Remove symlink patch (upstream ticket #1828).
  * Remove upstreamed documentation patches (upstream ticket #1691).

 -- Denis Briand <denis@narcan.fr>  Fri, 25 Dec 2009 22:52:13 +0100

mc (2:4.7.0-pre1-3) unstable; urgency=low

  [ Patrick Winnertz ]
  * Fix layout issue in the info page (Closes: #539958)
  * Fix escape of ~ in ~/Desk or something similar (Closes: #520026)
  * Mention in README.Debian that a different TERM on gnome-terminal
    prevents the cursor from vanishing in mcedit over tabs.
  * Add patch to make wildcards in copy/remove/move dialog work again
    (Closes: #540110)
  * shift-F3 doesn't unmark the selection after copying anymore
    (Closes: #302513)
  * Every fish operation is now placed within a if, so if there are errors
    because of permissions or something else, this is now reported
    (Closes: #496974)

  [ Denis Briand ]
  * Fix wrong path to wrapper scripts (Closes: #540238).
  * Fix lintian warning `debian-changelog-line-too-long'
    in 2:4.7.0-pre1-2 changelog.
  * Remove trailing whitespaces in several debian/ files.

 -- Patrick Winnertz <winnie@debian.org>  Sun, 09 Aug 2009 11:55:31 +0200

mc (2:4.7.0-pre1-2) unstable; urgency=low

  [ Denis Briand ]
  * Fix mistake about Syntax file in debian/mc.install (Closes: #539917).

  [ Patrick Winnertz ]
  * Install cons.saver only on linux not on kfreeBSD (Closes: #539913)
  * Added small patch to use awk instead of mawk in the extfs shell scripts
    (Closes: #499723)
  * Added patch for fixing hotlist entries (Closes: #539967)
  * Fixed several upstream known problems
    - bugs/1392_regression_in_tar_support.patch
    - bugs/1453_fix_crash_on_f14.patch
    - bugs/1404_ctrl-c_kills_mc.patch
    - bugs71456_fix_mcedit_regex_replace_segfault.patch
    - bugs/1415_hotlist_buffer_cleanup.patch

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 16:47:20 +0200

mc (2:4.7.0-pre1-1) unstable; urgency=low

  [ Patrick Winnertz ]
  * Change Section for -dbg package to debug
  * Change version number to reflect the correct status of the snapshot.
  * Add extra configure options.

  [ Denis Briand ]
  * New upstream version:
    + fix issue on directories with white spaces (Closes: #529881)
    + fix malformed Command prompt (Closes: #528797)
    + new awk.syntax file (Closes: #504078)
      thanks to Andrew O. Shadoura for his patch.
    + fix ~/.mc directory issue (Closes: #527104)
    + display hostname in xterm title (Closes: #504105)
  * Add co-maintainer : Denis Briand <denis@narcan.fr>
  * Package use cdbs now.
  * Bump standards version to 3.8.2
  * Bump debian/compat to 7
  * Rename debian/patches/all.series into debian/patches/series
    + to be lintian clean
  * Change copyright link to an existent file in debian/copyright
  * Add ${misc:Depends} in debian/control
  * Change deprecated dh_clean -k into dh_prep in debian/rules
  * Fix FTBFS issue: unrepresentable changes to source (Closes: #528983)
  * Fix bashism in vfs/extfs/u7z script (Closes: #530137)
  * Fix non escaped characters on man files.
  * Fix non FHS path on man files.
  * Fix fails to display zipfile contents after unzip update (Closes: #528239)
    Thanks to Johannes Stezenbach for his patch.
  * remove merged upstream patches:
    + bugs/64_visible-tabs
    + syntax/02_improving-nroff


=== debian/control ===
Source: mc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, Denis Briand <denis@narcan.fr>, Yury V. Zaytsev <yury@shurup.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7), libglib2.0-dev, libgpm-dev |not+linux-gnu, gettext, libslang2-dev, quilt, automake, binutils, cdbs, libtool
Standards-Version: 3.8.3
Homepage: http://www.midnight-commander.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-mc
Vcs-Browser: http://svn.debian.org/wsvn/pkg-mc

Package: mc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mime-support
Suggests: perl, zip, unzip, bzip2, links | w3m | lynx, arj, file, xpdf-reader | pdf-viewer, dbview, odt2txt, gv, catdvi, djvulibre-bin, imagemagick, python, python-boto, python-tz
Description: Midnight Commander - a powerful file manager
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.

Package: mc-dbg
Architecture: any
Depends: mc (=${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Suggests: gdb
Description: Midnight Commander - a powerful file manager - debug package
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH
 servers) and files inside archives to be manipulated like real files.
 .
 This package contains debugging information for mc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_STRIP_ARGS := --dbg-package=mc-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --with-glib2 --without-ext2undel --enable-charset --without-samba --with-screen=slang
AWK := awk

#use building with n parallel processes with DEB_BUILD_OPTIONS=parallel=n
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif


cleanbuilddir/mc::
	rm -f po/*.gmo
	rm -f po/stamp-po
	rm -f NEWS
	rm -f README

makebuilddir/mc::
	if [ ! -f configure ]; then sh autogen.sh; fi

install/mc::
	cp ./debian/extra/icon.xpm ./debian/mc/usr/share/pixmaps/mc.xpm

binary-post-install/mc::
	chmod 644 ./debian/mc/usr/share/mc/bin/mc*
	chmod 751 ./debian/mc/usr/share/mc/edit.spell.rc
	chmod 751 ./debian/mc/usr/share/mc/edit.indent.rc
	rmdir ./debian/mc/usr/share/man/sr/man8

=== debian/watch ===
version=3
http://depot.narcan.fr/mc/tarballs/mc_(.+)\.tar\.gz

## mc 4.7.0.6

=== debian/changelog ===
mc (3:4.7.0.6-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
  * Added lintian override for setgid-binary.

  [Denis Briand]
  * Created debian/lintian directory.
  * Created debian/extra/icon directory.
  * Moved debian/extra/icon.xpm to debian/extra/icon/mc.xpm.

 -- Denis Briand <denis@narcan.fr>  Sun, 06 Jun 2010 19:11:39 +0200

mc (3:4.7.0.5-2) unstable; urgency=low

  [Yury V. Zaytsev]
  * More fixes to cons.saver: Hilmar Preusse, Sven Joachim.
    + (Closes: #582078)

 -- Yury V. Zaytsev <yury@shurup.com>  Thu, 20 May 2010 11:18:21 +0200

mc (3:4.7.0.5-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + (Closes: #564072)
    + (Closes: #476490)
    + (Closes: #502196)
    + (Closes: #551528)
    + (Closes: #565402)
    + (Closes: #564103)
    + (Closes: #543899)
  * Fixed a bug where cons.saver was not installed that went unnoticed.
  * Fixed cons.saver permission bug (Shentino, closes LP: #367318).
  * Fixed wrong libexec scripts location.
  * Now build --with-x by default (obtain modifiers from X when possible).
  * Now disable rpath by default (--disable-rpath).
  * Refreshed Debian-specific patches.
  * Removed invisible cursor notice, bug's been fixed in vte!
  * Removed obsolete compile flag (--with-glib2).
  * Removed obsolete smb.conf path patch (Samba support disabled by default).
  * Removed upstreamed documentation patch.
  * Updated the watch file to track the new upstream download system.

  [Denis Briand]

  * Bumped standards version to 3.8.4.
  * Removed quilt build-dependency and debian/README.source file.

 -- Denis Briand <denis@narcan.fr>  Mon, 17 May 2010 17:12:32 +0200

mc (3:4.7.0.1-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
  * Purged old unneeded links.
  * Updated README.Debian.
  * Updated the list of configuration files to be purged.
  * Updated the list of files and permissions in rules.
  * Updated the list of files to be installed (Closes: #563797)

  [Denis Briand]
  * Fix spelling-error-in-manpage.

 -- Denis Briand <denis@narcan.fr>  Fri, 15 Jan 2010 19:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
+Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Denis Briand <denis@narcan.fr>, Yury V. Zaytsev <yury@shurup.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), libglib2.0-dev, libgpm-dev |not+linux-gnu, gettext, libslang2-dev, quilt, automake, binutils, cdbs, libtool
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), cdbs, gettext, libglib2.0-dev, libgpm-dev |not+linux-gnu, libslang2-dev, libx11-dev
+Standards-Version: 3.8.4
 Homepage: http://www.midnight-commander.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-mc
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-mc

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_STRIP_ARGS := --dbg-package=mc-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --without-ext2undel --without-samba --with-x --with-screen=slang --libexecdir='$${prefix}/lib' --disable-rpath
AWK := awk

# If DEB_BUILD_OPTIONS=parallel=n, build in n parallel processes
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_FIXPERMS_EXCLUDE := /usr/lib/mc/cons.saver

binary-post-install/mc::
	chmod 644 ./debian/mc/usr/share/mc/bin/mc*
	chmod 755 ./debian/mc/etc/mc/edit.spell.rc
	chmod 755 ./debian/mc/etc/mc/edit.indent.rc

	chgrp tty ./debian/mc/usr/lib/mc/cons.saver || true
	chmod g+s ./debian/mc/usr/lib/mc/cons.saver || true

	rmdir ./debian/mc/usr/share/man/sr/man8

## mc 4.7.0.9

=== debian/changelog ===
mc (3:4.7.0.9-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + Corrected typos in man pages (Closes: #585503)
  * Enabled ext2undelfs by default (LP: #267480)
  * Tightened libslang2 dependency (Closes: #592772)

 -- Yury V. Zaytsev <yury@shurup.com>  Tue, 07 Sep 2010 10:59:46 +0200

mc (3:4.7.0.8-1) unstable; urgency=low

  [Yury V. Zaytsev]
  * New upstream version (bugfix release).
    + Added *.ini file syntax (Closes: #567046)
    + mcedit won't go looping when replacing \n regexp (Closes: #584241)
    + mcedit won't try to set the codepage twice (Closes: #586903)
    + Removed mcedit/mcview wrappers in favor of patch (Closes: #592208)
  * Bumped standards version to 3.9.1.
  * Remaining lintian warning (unknown-locale-code) fixed upstream.
  * Removed duplicate lintian override.
  * Removed Denis Briand <denis@narcan.fr> from uploaders.
    Thank you very much Denis for all your help!
  * Revamped the patches again (bug numbers etc.)
  * Updated install* wildcards.

 -- Yury V. Zaytsev <yury@shurup.com>  Tue, 10 Aug 2010 21:27:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Debian MC Packaging Group <pkg-mc-devel@lists.alioth.debian.org>
-Uploaders: Patrick Winnertz <winnie@debian.org>, Denis Briand <denis@narcan.fr>, Yury V. Zaytsev <yury@shurup.com>
+Uploaders: Patrick Winnertz <winnie@debian.org>, Yury V. Zaytsev <yury@shurup.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7), cdbs, gettext, libglib2.0-dev, libgpm-dev |not+linux-gnu, libslang2-dev, libx11-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cdbs, gettext, libglib2.0-dev, libgpm-dev | not+linux-gnu, libslang2-dev (>> 2.1), libx11-dev, e2fslibs-dev
+Standards-Version: 3.9.1
 Homepage: http://www.midnight-commander.org
 Vcs-Svn: svn://svn.debian.org/svn/pkg-mc
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-mc

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_DH_STRIP_ARGS := --dbg-package=mc-dbg
-DEB_CONFIGURE_EXTRA_FLAGS := --without-ext2undel --without-samba --with-x --with-screen=slang --libexecdir='$${prefix}/lib' --disable-rpath
+DEB_CONFIGURE_EXTRA_FLAGS := --enable-vfs-undelfs --without-samba --with-x --with-screen=slang --libexecdir='$${prefix}/lib' --disable-rpath
 AWK := awk
 
 # If DEB_BUILD_OPTIONS=parallel=n, build in n parallel processes

=== debian/watch ===
version=3
http://www.midnight-commander.org/downloads/mc-(.+\.0\.?[^\.]*)\.tar\.gz

## mc 4.7.4-maemo1

=== debian/changelog ===
mc (1:4.7.4-maemo1) fremantle; urgency=low

  * Upgraded to latest Midnight Commander version
  * Full repackaging due to cardinal changes in directory structure
  * Switched to ncurses instead of slang

 -- Andrew Zabolotny <zap@homelink.ru>  Sat,  6 Nov 2010 18:00:09 +0300

=== debian/control ===
Source: mc
Section: user/utilities
Priority: optional
Maintainer: Andrew Zabolotny <zap@homelink.ru>
XSBC-Bugtracker: mailto:zap@homelink.ru
Build-Depends: debhelper (>> 4.0.0), libncurses5-dev, libglib2.0-dev, gettext, coreutils-gnu, python
Standards-Version: 3.7.3

Package: mc
Architecture: any
Depends: file, libglib2.0-0 (>= 2.0), libc6 (>= 2.3.0), libncursesw5
Suggests: perl, mime-support, zip, unzip, bzip2, links | w3m | lynx, arj, bash
Conflicts: mc-common, suidmanager (<< 0.52)
Replaces: mc-common, manpages-pl (<= 20030210)
Description: midnight commander - a powerful file manager
 GNU Midnight Commander is a text-mode full-screen file manager. It
 uses a two panel interface and a subshell for command execution. It
 includes an internal editor with syntax highlighting and an internal
 viewer with support for binary files. Also included is Virtual
 Filesystem (VFS), that allows files on remote systems (e.g. FTP, SSH, 
 SMB servers) and files inside archives to be manipulated like real files.
XB-Maemo-Display-Name: Midnight Commander
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oLBhMzJYzFV3oAAAmsSURBVGje
 1VpLqyxXFf6+tXd330ckOReRiKCJkoFg8Jp7Ic4c+IivgRMFBw5EQdChgo+B/gAxII58THTgwIGZ
 OBAUHThRuEENPiAGH6CCElBPV1VX1d57fQ5qV6dO59yTe26SI24o+vTeVae/9a1vrb3W7uYb3/IW
 lJTw7N//hpzzY5c2l94Vgj0YQlht1mtfrWIJcZWGcchePEvuEgppmUQpJReAWUApKWVXcbOYLVgu
 OSd3zyHEEkIocneX5xhiCiFkGhLJFCwkAQlAIjkE40hassBRrlHSWEoZQRsCuQPQx/Umx9UGUe4Y
 hyEe3XffNx56w4MfjcFQckIIhhgDCKC4QxJKcZTicHd3l1xe3L349FcRVNyRJS+SioQEKQkaJYyA
 BoA9pF7EDkIHcgehJdEKaAk0AFqSDYAWUOuu1j12AjozW0lYubwx5hSZM+7ZrD/1yMPXP/rPZ5/1
 p5/5o3e7HdwdBABAIEFAJCQAAJ2AJPj0AofkAApAB1UAFgJ1Dl7vEQAJEACf/icdpHO6r4AoADOB
 DCCBSAQzyWTGHELMV65c8VUM0bOX6F5WD73+dR8/Pj7Gj3/6My+l0EIgAZD1YwwTbgAEBcIwgQsA
 nKTm90YWEARo9RGREEAHkEkYQJKVFsI5GeAgM8nMSUr1QiI4gkxmlsxCLu7lnqtX3YyMXds9cM/V
 Kw/+4tYvVdy5Xq8JVPILgEsAxhOQvC4HYG+YA7DJW5hs52wyBFCQXEQhmAElCUnASGCU1APsSfUE
 dgB203vsUDUfzAYBI2k5jSnvbOfr9Vpxs169pm3aq//+z3GOIUzgEyAHeVlYfSUjf9PgT4YJzGYi
 dQEe1WAH4JOs4KQqWGRBI4ABwlDgPcEeZCd5R6AFOWmfbCA1IFqCDckOxI5gL9dgrlHuSYpFQCmC
 Irzc248jhmEUSaIAeJW4/lLG6gMO3g+sP+LIPykYPx/hvyWxhiCoGiHM+p2uPF1M4Mwu+olVdAA6
 UC2kVsJWwBbSluQW0hZAA6EB1E5BjB2JgeBAYypuubgXuctyUSzuV4cxwUuZ/F2AzVcz1h9yjE8Q
 fCWABli9X7A3JXbXV46GjoBZ9wfAkQCMqNKoBszgKyg2gBoJW+C5S5MhDYBWUgdwR6KvGSzBkUOQ
 Q9AgKKUMi3F1OeUMdxec4GUgvFXwHug/GOG/JoZPRB8eN/nPTTzas39b8CSHCr7qeQaOdgYq4RjA
 McljAMeSjgE0klpJM/O9uwZ3TwAypDIMo7sPMiNEIprZJqUCQaBRGgD9AQivBTZfL7AHBN4vDJ+O
 BYAYIcQT4NPidQ/+QDYz+GbJOICtu29JNiRn8B3JHcnB3QcAycxKKaXknKc0vIg+y6VsUi6QIHDK
 F8NnIsrviM3HHKu3C5d/mu3yD1IIjzqUT7A+gx8BDAvwZwFfMj9pf8F8Bd8vwOec8x48DoYB3JTi
 2C9GwH9l3l1fefee6PkWpT9Rq/eJV36UV3bdgbSXTJ71XsHPklkacAh+r/dqQDMbsAA/LsB7KeVU
 8ABg7r6WfLpBAC5J4W0Ou+FIPzT33xC7x2Lqv2iZrwDie2QS0sIDA8l+IZszma96n8FvJTWSWjPb
 g592XcsppTPBA0C0EFbu7gDEzIJripd/kkz/ANpHVw4BWMO5wbSNDSeCdjhF8201ojlN8wAaktuq
 +U5SZ2Y7SYOkse7AJefsFdeZI5Jca6pjHCsE/YU+fjlw89liV59OEQ0Q3+2X7NVAeRqevm87AiMS
 BwBLzU/gDR0idjPYpWxmo5YBa2b9IfiU0h2BB4AYQ1hLyiQFQojQ+IWQy1O0+JgzvtfNn2IZv2Yp
 fcda/Y2dvQrOexUkBRARwGqflRr2ehbH4B58s8zxB8z3Nd2OnOqgc4GfPGBGTQ9MVy3B8nct5+9a
 2TyeL6XHQ+N/ZU8ikezjh/O11SfL0WInVq2DkJ6wZ8bPxd9zhW4RsLNsWndvAewOZHNX4AEgyp0A
 CsnZCIAA1xOj4xfjMRIS10gkR0lj+nb4a/6e/VmLjEOyA9Spx78Ypw3rNPBzppE0uPtoZglAGcdR
 VcrnGtHdnWSuZXGou4RqkBb0SCBGGtM+WBvsdMz2uYzDRtAW4BZEg/CcAUvZkOxm8JLSDD6l5Dqx
 PZ3TgBBCWRRlc5kwGWAYK/PDPtMYOtgy16u9TepsKvPPA0/yRYOf0qiZ74N4KottYcAMfk6Tyzzf
 zXl8mSbHYfgWXubRAdhcO+IUA1IhOdU5pNVYKDW4TjI/l8OV6Qr+uDJ9rKmWP3to3y6dPfdC60eY
 CwdkSWne7WorVbDvlDAc1jZV081hKVzlM32mTn7i5OAFprp+OH/W2mnzcVHPLO3NFfgh882C+WU5
 sF1o/7bAzjLoTtZOm48Lrc+9rapHhgp6dxCg+931AHw9BrnYEQGkqnNW7ftCPt1BXXMa89tlaQCc
 UXrxwM+3mzvHM7Gy3ZOkpLCo75cBuz0Ef0oj0pLsn/ehuANjzpp7gfXZA/0Uv7SF/rtFwG4Pmb9d
 F3XxHpgqyl2dJsksqSfZ1lr9+alyMqQ9AD83IhfsAWmsmxIkWT1g3VWgS/D7gD0oh3cAhrkRuXAP
 1IakW9w2Vo+cCNpTwO+qof1cGtSa6mI9UOuTtqZRzQG8ALytRx7tKY1IP1eUczn8v8hCfQU3l7Mj
 yblUWKbK9rQuagl+X8tfpAcEzHr3epTeYzpYag4qyhbT+fxpLWBxd53J5MvmAfeugnSShUCvxSna
 zPxBF5UO+ledi8mX0gM+SWg7V6G1/pk90FXwh8zn2kX53XRRZ1ad585CE+Pb+ayTZL9gvZP0POZr
 I6KXFPzdZyEMmM7ifWquT5zv7BbMJzNLks4Gr7tkWud85trSAKHhvgvj/pBq0QKOZpZfEPyd6v+l
 GEf7ljKMjtLSWIKsuHzuA5bMZ0llHEe/I45vp2UtXnEHWYgHuj8tBoxIoHVmViRlcxudPpAc3T2Z
 WXJ3r5uUXpSWeYfrt5s7vRplDoYuhuiQcqEnkiOwZ/584HVBErr2nAeKWdjFGOReitn0nSymbxNL
 SqPOBYsXFARH903H6zGuSghhWK3iEGIYQgijmWUz81KKpPNxeuPGDdy6devCWko+cv1hArzUdR26
 vvdxGH0Yx5JSVtd1OudR5YWJ6OjoPkpTNSqSabPZMJciuXvOWcXsroDcunULN27cxJNPnu6Fmzdv
 QsJ+fb738Jnl+5s3b+69Os+/853vmDxw4/qbpx8/qFjfDxrGUdtto2FMaJoGd+GBl31cuRywufQK
 SEAsIGgQCz3ENYLPv8X4/xj/BSmhP2oFVpCqAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_USER_FLAGS = \
	--prefix=/opt/mc \
	--sysconfdir=/opt/mc/etc \
	--libexecdir=/opt/mc/libexec \
	--enable-silent-rules \
	--disable-dependency-tracking \
	--disable-doxygen-doc \
	--with-x --without-gpm-mouse \
	--with-search-engine=glib \
	--with-subshell \
	--with-screen=ncurses

install/mc::
	gbase64 -d debian/icon.b64 > debian/mc/usr/share/icons/hicolor/64x64/apps/mc.png
	cp debian/mc.desktop debian/mc/usr/share/applications/hildon
	rm -rf debian/mc/opt/mc/share/man

## mc 4.7.4-maemo3

=== debian/changelog ===
mc (1:4.7.4-maemo3) fremantle; urgency=low

  * Added libncurses5-dev dependency too, it won't compile without it.

 -- Andrew Zabolotny <zap@homelink.ru>  Mon,  8 Nov 2010 06:09:59 +0300

mc (1:4.7.4-maemo2) fremantle; urgency=low

  * Replaced icon with the one from mc home page
  * Replaced build-dependency of libncurses5 with libncursesw5.
    Small change, big difference!

 -- Andrew Zabolotny <zap@homelink.ru>  Sun,  7 Nov 2010 04:48:15 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
 XSBC-Bugtracker: mailto:zap@homelink.ru
-Build-Depends: debhelper (>> 4.0.0), libncurses5-dev, libglib2.0-dev, gettext, coreutils-gnu, python
+Build-Depends: debhelper (>> 4.0.0), libncurses5-dev, libncursesw5-dev, libglib2.0-dev, gettext, coreutils-gnu
 Standards-Version: 3.7.3
 
 Package: mc

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 	gbase64 -d debian/icon.b64 > debian/mc/usr/share/icons/hicolor/64x64/apps/mc.png
 	cp debian/mc.desktop debian/mc/usr/share/applications/hildon
 	rm -rf debian/mc/opt/mc/share/man
+	# Append additional extensions to highlighting rules
+	sed -e 's/tbz2;$$/tbz2;deb;pkg/' -e 's/;cdr$$/;cdr;svg/' -e 's/;chm$$/;chm;ini;rc;cfg;conf/' \
+		debian/mc/opt/mc/etc/mc/filehighlight.ini >debian/mc/opt/mc/etc/mc/filehighlight.new && \
+	mv -f debian/mc/opt/mc/etc/mc/filehighlight.new debian/mc/opt/mc/etc/mc/filehighlight.ini
